summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/xf86-video-unichrome/10-unichrome.conf4
-rw-r--r--system/xf86-video-unichrome/README20
-rw-r--r--system/xf86-video-unichrome/slack-desc18
-rw-r--r--system/xf86-video-unichrome/xf86-video-unichrome.SlackBuild93
-rw-r--r--system/xf86-video-unichrome/xf86-video-unichrome.info10
5 files changed, 145 insertions, 0 deletions
diff --git a/system/xf86-video-unichrome/10-unichrome.conf b/system/xf86-video-unichrome/10-unichrome.conf
new file mode 100644
index 0000000000..0f344c7093
--- /dev/null
+++ b/system/xf86-video-unichrome/10-unichrome.conf
@@ -0,0 +1,4 @@
+Section "Device"
+ Identifier "Unichrome"
+ Driver "via"
+EndSection
diff --git a/system/xf86-video-unichrome/README b/system/xf86-video-unichrome/README
new file mode 100644
index 0000000000..9d34bfb87e
--- /dev/null
+++ b/system/xf86-video-unichrome/README
@@ -0,0 +1,20 @@
+xf86-video-unichrome (driver for various VIA gpus)
+
+The Unichrome Project provides Free and Open Source support for the
+S3 Unichrome family of integrated graphics devices, as found on all
+recent VIA Technologies Northbridges.
+
+NOTICE:
+The source tarball is created of a git clone I did myself. If you want to
+get the sources by yourself, they can be aquired like this:
+
+git clone git://people.freedesktop.org/~libv/xf86-video-unichrome/
+
+Configuration:
+You'll find a 10-unichrome.conf in /usr/doc/xf86-video-unichrome, that
+can be moved to /usr/share/X11/xorg.conf.d (or used as xorg.conf..).
+
+Troubleshooting:
+Via chips seem to be problematic. Maybe some of this helps:
+- disable console vesa modes, use plain vga;
+- blacklist framebuffer modules.
diff --git a/system/xf86-video-unichrome/slack-desc b/system/xf86-video-unichrome/slack-desc
new file mode 100644
index 0000000000..76b9eb8a63
--- /dev/null
+++ b/system/xf86-video-unichrome/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+ |-----handy-ruler------------------------------------------------------|
+xf86-video-unichrome: xf86-video-unichrome (driver for various VIA gpus)
+xf86-video-unichrome:
+xf86-video-unichrome: The Unichrome Project provides Free and Open Source support for the
+xf86-video-unichrome: S3 Unichrome family of integrated graphics devices, as found on all
+xf86-video-unichrome: recent VIA Technologies Northbridges.
+xf86-video-unichrome:
+xf86-video-unichrome: homepage: http://unichrome.sourceforge.net
+xf86-video-unichrome:
+xf86-video-unichrome:
+xf86-video-unichrome:
+xf86-video-unichrome:
diff --git a/system/xf86-video-unichrome/xf86-video-unichrome.SlackBuild b/system/xf86-video-unichrome/xf86-video-unichrome.SlackBuild
new file mode 100644
index 0000000000..89b5377423
--- /dev/null
+++ b/system/xf86-video-unichrome/xf86-video-unichrome.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for xf86-video-unichrome
+
+# Copyright 2012, Ruben Schuller
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xf86-video-unichrome
+VERSION=${VERSION:-20110523_b917bee}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp README $CWD/10-unichrome.conf $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/xf86-video-unichrome/xf86-video-unichrome.info b/system/xf86-video-unichrome/xf86-video-unichrome.info
new file mode 100644
index 0000000000..6f7f9e7e02
--- /dev/null
+++ b/system/xf86-video-unichrome/xf86-video-unichrome.info
@@ -0,0 +1,10 @@
+PRGNAM="xf86-video-unichrome"
+VERSION="20110523_b917bee"
+HOMEPAGE="http://unichrome.sourceforge.net"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/xf86-video-unichrome-20110523_b917bee.tar.xz"
+MD5SUM="7da9869e24d002d3ba069e16fa0a30f1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ruben Schuller"
+EMAIL="ruben@orgizm.net"